@font-face {
    font-family: 'FreeSans';
    src: url('FreeSans.woff2') format('woff2');
    font-display: swap;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #fafafa;
    color: #191919;
    font-family: 'FreeSans', sans-serif;
    font-optical-sizing: auto;
    font-size: clamp(1rem, 2.5vw, 1.25rem);
    font-style: normal;
    line-height: 1.6;
    padding: 4rem;
    max-width: 1200px;
    margin: 0 auto;
}

::selection {
  color: #fafafa;
  background: #191919;
}

header {
    margin-top: 4rem;
    margin-bottom: 8rem;
}

main {
    margin-bottom: 4rem;
}

section {
    margin-bottom: 2rem;
}

h1 {
    font-size: clamp(4rem, 14vw, 7.5rem);
    font-weight: 500;
    line-height: 1.1;
    margin-bottom: 0;
}

h2 {
    font-size: clamp(1.25rem, 3vw, 1.4rem);
    font-weight: 600;
    line-height: 1.2;
    margin-bottom: 0.9rem;
}

h3 {
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 0.75rem;
}

p {
    margin-bottom: 1.15rem;
}

.lhs-half {
    max-width: 55%;
}

.rhs {
    text-align: right;
}

a {
    color: #191919;
    text-decoration: none;
    border-bottom: 1px solid transparent;
    transition: border-bottom 0.2s ease;
    padding-bottom: 2px;
}

a:hover {
    border-bottom: 1px solid #191919;
}

nav {
    margin-top: 4rem;
}

nav ul {
    list-style: none;
    padding: 0;
}

@media (max-width: 768px) {
    body {
        padding: 2rem;
    }

    header {
        margin-top: 4rem;
        margin-bottom: 8rem;
    }

    h1 {
        font-size: clamp(3rem, 11vw, 5rem);
    }

    .lhs-half {
        max-width: 80%;
    }

}

@media (max-width: 480px) {
    body {
        padding: 1.5rem;
    }

    header {
        margin-top: 1rem;
        margin-bottom: 5rem;
    }

    h1 {
        font-size: clamp(2.5rem, 12vw, 4rem);
    }

    .lhs-half {
        max-width: 80%;
    }
}
